Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225367 - Review Request: perl-Path-Class - Cross-platform path specification manipulation
Summary: Review Request: perl-Path-Class - Cross-platform path specification manipulation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-01-30 06:05 UTC by Ian Burrell
Modified: 2008-06-12 16:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 21:33:27 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ian Burrell 2007-01-30 06:05:11 UTC
Spec URL: http://znark.com/fedora/perl-Path-Class.spec
SRPM URL: http://znark.com/fedora/perl-Path-Class-0.16-1.src.rpm
Description: Path::Class is a module for manipulation of file and directory
specifications (strings describing their locations, like
'/home/ken/foo.txt' or 'C:\Windows\Foo.txt') in a cross-platform manner. It
supports pretty much every platform Perl runs on, including Unix, Windows,
Mac, VMS, Epoc, Cygwin, OS/2, and NetWare.

It is required for SVK 2.0.

Comment 1 Parag AN(पराग) 2007-02-09 05:22:41 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
- URL is not working.
+ source files match when used as upstream url
  http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/Path-Class-0.16.tar.gz
2416d2f5ed1a8a98525baea5c25e1c  Path-Class-0.16.tar.gz
- Change Source URL.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: perl(Path::Class) = 0.16 perl(Path::Class::Dir)
perl(Path::Class::Entity) perl(Path::Class::File)
+ make test
 t/01-basic.........ok
t/02-foreign.......# Test 28 got: "dir/subdir" (t/02-foreign.t at line 68 *TODO*)
#    Expected: "/dir/subdir"
#  t/02-foreign.t line 68 is: ok $dir->as_foreign('Unix'), '/dir/subdir';
# Test 29 got: "" (t/02-foreign.t at line 69 *TODO*)
#    Expected: "1"
#  t/02-foreign.t line 69 is: ok $dir->as_foreign('Unix')->is_absolute, 1;
ok
        2/29 skipped: Can't test VMS code on other platforms
t/03-filesystem....ok 
All tests successful, 2 subtests skipped.
Files=3, Tests=158,  1 wallclock secs ( 0.27 cusr +  0.07 csys =  0.34 CPU)

APPROVED.


Change Source URL.

Comment 2 Ian Burrell 2007-02-13 21:33:27 UTC
Built for FC-5, FC-6, devel.

Comment 3 Ian Burrell 2008-06-12 00:30:00 UTC
Package Change Request
======================
Package Name: perl-Path-Class
New Branches: EL-4 EL-5


Comment 4 Kevin Fenzi 2008-06-12 16:00:28 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.